# Uses of Interface
org.eclipse.jdt.ui.dialogs.ITypeInfoRequestor

Packages that use ITypeInfoRequestor
Package
Description
org.eclipse.jdt.ui.dialogs
Application programming interfaces for dialogs.

## Uses of ITypeInfoRequestor in org.eclipse.jdt.ui.dialogs

Methods in org.eclipse.jdt.ui.dialogs with parameters of type ITypeInfoRequestor
Modifier and Type
Method
Description
`org.eclipse.jface.resource.ImageDescriptor`
ITypeInfoImageProvider.`getImageDescriptor(ITypeInfoRequestor typeInfoRequestor)`
Returns the image descriptor for the type represented by the given `ITypeInfoRequestor`.
`boolean`
ITypeInfoFilterExtension.`select(ITypeInfoRequestor typeInfoRequestor)`
Returns whether the given type makes it into the list or not.